# Project-wide Gradle settings.
# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.
# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html
# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
org.gradle.jvmargs=-Xmx1536m -XX:MaxPermSize=512m -XX:+HeapDumpOnOutOfMemoryError -Dfile.encoding=UTF-8
# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
# org.gradle.parallel=true
# AndroidX package structure to make it clearer which packages are bundled with the
# Android operating system, and which are packaged with your app's APK
# https://developer.android.com/topic/libraries/support-library/androidx-rn
android.useAndroidX=true
# Automatically convert third-party libraries to use AndroidX
android.enableJetifier=true
android.jetifier.blacklist=dagger-producers*,guava*,dagger-compiler*,org.jacoco.agent-runtime*


# Kotlin code style for this project: "official" or "obsolete":
kotlin.code.style=official

#okay some additional properties

# org.gradle.logging.level=(quiet,warn,lifecycle,info,debug)
# debug is the most noisy as far as build logs in console

# org.gradle.console=(auto,plain,rich,verbose)
# sets text richness of console outputs

# we want only stuff built directly related to the gradle task
org.gradle.configureondemand=true

# when we have multile modules ie libs
org.gradle.parallel=true

android.enableBuildCache=true

org.gradle.caching=true

org.gradle.daemon=true

# disable r8 for now
# android.enableR8 = false